﻿using System;
using Windows.UI;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 난수 발생기
        /// </summary>
        private Random random = new Random();

        /// <summary>
        /// 색상 바이트 배열
        /// </summary>
        private byte[] colorByteArray = new byte[3];

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainPage()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainPage()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected
        //////////////////////////////////////////////////////////////////////////////// Function

        #region 탭 처리하기 - OnTapped(e)

        /// <summary>
        /// 탭 처리하기
        /// </summary>
        /// <param name="e">이벤트 발생자</param>
        protected override void OnTapped(TappedRoutedEventArgs e)
        {
            this.random.NextBytes(this.colorByteArray);

            Color color = Color.FromArgb(255, this.colorByteArray[0], this.colorByteArray[1], this.colorByteArray[2]);

            SolidColorBrush brush = new SolidColorBrush(color);

            if(e.OriginalSource is TextBlock)
            {
                (e.OriginalSource as TextBlock).Foreground = brush;
            }
            else if(e.OriginalSource is Grid)
            {
                (e.OriginalSource as Grid).Background = brush;
            }

            base.OnTapped(e);
        }

        #endregion
    }
}